InboxFeedFilter
Read-state, category, tag, and archive criteria selecting inbox entries.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
unseenOnly | boolean | Optional | Whether the inbox filter selects only unseen messages. |
unreadOnly | boolean | Optional | Whether the inbox filter selects only unread messages. |
feedIds | Array of string | Optional | Filter by Novu feed identifiers. |
categories | Array of string | Optional | Categories used to select inbox messages. |
tags | Array of string | Optional | Filter by workflow tags (OR logic per Novu semantics). |
archived | boolean | Optional | When true, include archived messages. False or omission selects the live inbox and excludes archived messages. |
Where used
| Reference | Relationship |
|---|---|
| Get inbox feed messages | POST /api/v1/notifications/get-inbox-feed |
Download the public reference contract.
Document: DOC-API-MODEL-inbox-feed-filter.